360鹰眼-更智能的Web安全监控系统

产品描述:

下一代web漏洞扫描器,她是一款硬件,包含:最全面的"爬出"引擎,不再需要收集资产清单,不再需要指定扫描时间,同步发现新上线业务漏洞

适用对象:

企业

价格服务:

目录价19.8万起
我了解,我要试用
高危高危

跨站脚本攻击漏洞(WEB2.0)

WASC Threat Classification

发现时间:

2013-04-11

漏洞类型:

跨站脚本攻击(XSS)

所属建站程序:

其他

所属服务器类型:

通用

所属编程语言:

其他

描述:
跨站脚本攻击就是指恶意攻击者向网页中插入一段恶意代码,当用户浏览该网页时,嵌入到网页中的恶意代码就会被执行。
+ 展开
危害:

恶意用户可以使用该漏洞来盗取用户账户信息、模拟其他用户身份登录,更甚至可以修改网页呈现给其他用户的内容。

+ 展开
解决方案:

方案一:站在安全的角度看,必须过滤用户输入的危险数据,默认用户所有的输入数据都是不安全的,请根据自身网站程序做代码修改。

方案二:使用开源的漏洞修复插件。( 需要站长懂得编程并且能够修改服务器代码 )

具体可以参考:http://webscan.360.cn/group/topic/tid/4571

另外, jsp语言可以参考此处

如果你的网站服务器是Windows系统,建议使用"主机卫士"修复漏洞,点击下载,如果您因为技术原因无法修复漏洞,请进入360站长社区寻求帮助
对该漏洞进行评论
[共 9 条]
还可以输入120
 
输入验证码: